Skip to main content
System Management/Security Settings Interfaces/IP Blocklist/Allowlist
GETIP Blocklist/AllowlistSince 3.5.1SynchronousAuth Required

Query IP Access Control Rule

Query IP Access Control Rule

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    Error code. If not null, the operation failed. This field is null when the operation succeeds. See error

    • codeStringRequired

      Error code number. A globally unique identifier for the error, e.g., SYS.1000, HOST.1001

    • descriptionStringRequired

      Brief description of the error

    • detailsStringRequired

      Detailed error information

    • elaborationStringRequired

      Reserved field. Defaults to null

    • opaqueLinkedHashMapRequired

      Reserved field. Defaults to null

    • causeErrorCodeRequired

      Root error. The source error that caused this error. Null if no root cause exists

  • inventoriesListRequired

    See inventories

    • uuidStringRequired

      The UUID of the resource. Uniquely identifies the resource

    • nameStringRequired

      Resource name

    • descriptionStringRequired

      Detailed description of the resource

    • ruleStringRequired

      规则。

    • createDateTimestampRequired

      Creation time

    • lastOpDateTimestampRequired

      Last modification time

    • strategyControlStrategyRequired

      See strategy

      • ACCEPTControlStrategyRequired

        接受。

      • REJECTControlStrategyRequired

        拒绝。

Endpoint

GET/zstack/v1/login-control/access-control/rules

/zstack/v1/login-control/access-control/rules

Operation ID

QueryAccessControlRule

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/login-control/access-control/rules' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "rule": "192.168.10.0/24" } ] }

Change History

This API has no change history records yet.

View all change history